local monocle = require("#monocle")
local celeste = require("#celeste")
local coroutineEntity = monocle.Entity()
local badeline = nil
local bhjelly = nil

_G.helpers = helpers


function onBegin(room)
    local level = helpers.getLevel()
    bhjelly = helpers.getEntity("BounceJellyfish", "Celeste.Mod.BounceHelper")
    helpers.setFlag("inCutscene", true)
    level:add(coroutineEntity)
    helpers.disableMovement()
    coroutineEntity:add(monocle.Coroutine(level:ZoomTo(vector2(215, 90), 2, 3)))
    coroutineEntity:add(monocle.Coroutine(helpers.walk(50)))
    helpers.wait(0.3)
    helpers.say("INTcontest24_grog_cp3intro_A0")
    helpers.wait(1)
    helpers.say("INTcontest24_grog_cp3intro_A1")
    helpers.wait(0.5)
    helpers.playSound("event:/game/06_reflection/badeline_freakout_1")
    helpers.setFlag("panicAttack", true)
    helpers.wait(1)
    helpers.say("INTcontest24_grog_cp3intro_A")
    helpers.wait(0.5)
    helpers.say("INTcontest24_grog_cp3intro_B")
    helpers.wait(0.5)
    helpers.say("INTcontest24_grog_cp3intro_C")
    helpers.wait(0.25)
    helpers.say("INTcontest24_grog_cp3intro_D")
    helpers.wait(1.5)
    helpers.playMusic("event:/grog_embers/fieldofmirrors", 0)
    helpers.say("INTcontest24_grog_cp3intro_G")
    helpers.setFlag("panicAttack", false)
    helpers.say("INTcontest24_grog_cp3intro_G2")
    helpers.wait(1)
    helpers.say("INTcontest24_grog_cp3intro_H")
    coroutine.yield(level:ZoomBack(1))
  end
  
function onEnd(room, wasSkipped)
    helpers.setFlag("inCutscene", false)
    helpers.setFlag("panicAttack", false)
    helpers.enableMovement()
end
